#!/bin/sh

[ -f "$1" ] || exit 1
cd `dirname "$1"`
FILE=`basename "$1"`
pdftops -paper A4 "$FILE" PDFZOOM1.ps
psnup -pA4 -s1.18 -b-2cm -W21.5cm -H29.7cm PDFZOOM1.ps PDFZOOM2.ps
ps2pdf -sPAPERSIZE=a4 PDFZOOM2.ps "`basename "$1" .pdf`.out.pdf"
rm -f PDFZOOM[12].ps
