#!/bin/sh

[ -f "$1" ] || exit 1
cd `dirname "$1"`
FILE=`basename "$1"`
pdftops -paper letter "$FILE" PDFZOOM1.ps
psnup -pA4 -s1.1 -b-1cm -W8.5in -H10in PDFZOOM1.ps PDFZOOM2.ps
ps2pdf -sPAPERSIZE=a4 PDFZOOM2.ps "`basename "$1" .pdf`.out.pdf"
rm -f PDFZOOM[12].ps
